#!/bin/sh
#
# hostname.sh	Set hostname.
#
# Version:	@(#)hostname.sh  1.10  26-Feb-2001  miquels@cistron.nl
#

if [ -f "/anapico/dev/sn" ]
then
	SERNR_TOTAL=$(cat /anapico/dev/sn)
	SERNR=$(echo $SERNR_TOTAL | awk '{split($0,a,"-"); print a[3]}')
	# echo $SERNR
else
	SERNR=0000
fi

if [ -f "/anapico/dev/fw_info" ]
then
	. /anapico/dev/fw_info
else
	MANUFACTURER=Anapico
	URL="http://www.anapico.com"
	LOGO="logoAP.png"
	STYLE="styleAP.css"
	FWVERSION="1.0.0"
	MODEL="AP-T&M"
fi


if test -f /etc/hostname
then
	# hostname -F /etc/hostname
	hostname $MODEL-$SERNR
fi

